<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>{{ page.title }} | GitLab</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  {% if description %}
  <meta name="description" content="{{ description }}">
  {% else %}
  <meta name="description" content="{{ content | strip_html | condense_spaces | truncate:130 }}">
  {% endif %}

  {% if categories %}
  <meta name="keywords" content="{{ categories }}">
  {% else %}
  <meta name="keywords" content="gitlab,git,version control, repository manager">
  {% endif %}

  <!-- social sharing metadata -->

  <meta content="{{ site.title }}" property="og:site_name">

  {% if page.title %}
  <meta content="{{ page.title }}" property="og:title">
  {% else %}
  <meta content="{{ site.title }}" property="og:title">
  {% endif %}

  {% if page.title %}
  <meta content="article" property="og:type">
  {% else %}
  <meta content="website" property="og:type">
  {% endif %}

  {% if page.description %}
  <meta content="{{ page.description }}" property="og:description">
  {% else %}
  <meta content="{{ content | strip_html | condense_spaces | truncate:130 }}" property="og:description">
  {% endif %}

  {% if page.url %}
  <meta content="{{ site.url }}{{ page.url }}" property="og:url">
  {% endif %}

  {% if page.date %}
  <meta content="{{ page.date | date_to_xmlschema }}" property="article:published_time">
  <meta content="{{ site.url }}/about/" property="article:author">
  {% endif %}

  {% if page.image_title %}
  <meta content="{{ site.url }}{{ page.image_title }}" property="og:image">
  {% else %}
  <meta content="{{ site.url }}/images/gitlab_logo.png" property="og:image">
  {% endif %}

  {% if page.categories %}
    {% for category in page.categories limit:1 %}
    <meta content="{{ category }}" property="article:section">
    {% endfor %}
  {% endif %}

  {% if page.tags %}
    {% for tag in page.tags %}
    <meta content="{{ tag }}" property="article:tag">
    {% endfor %}
  {% endif %}

  <link rel="alternate" type="application/atom+xml" title="Blog" href="/atom.xml" />

  <link href='https://fonts.googleapis.com/css?family=Roboto+Condensed:400,300,700' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">

  {% include combined_stylesheets.html %}

  <!--[if lt IE 9]>
  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->

  <link rel="shortcut icon" href="/ico/favicon.ico">
  <link rel="apple-touch-icon" sizes="57x57" href="/ico/apple-touch-icon-57x57.png">
  <link rel="apple-touch-icon" sizes="114x114" href="/ico/apple-touch-icon-114x114.png">
  <link rel="apple-touch-icon" sizes="72x72" href="/ico/apple-touch-icon-72x72.png">
  <link rel="apple-touch-icon" sizes="144x144" href="/ico/apple-touch-icon-144x144.png">
  <link rel="apple-touch-icon" sizes="60x60" href="/ico/apple-touch-icon-60x60.png">
  <link rel="apple-touch-icon" sizes="120x120" href="/ico/apple-touch-icon-120x120.png">
  <link rel="apple-touch-icon" sizes="76x76" href="/ico/apple-touch-icon-76x76.png">
  <link rel="apple-touch-icon" sizes="152x152" href="/ico/apple-touch-icon-152x152.png">
  <link rel="apple-touch-icon" sizes="180x180" href="/ico/apple-touch-icon-180x180.png">
  <link rel="icon" type="image/png" href="/ico/favicon-192x192.png" sizes="192x192">
  <link rel="icon" type="image/png" href="/ico/favicon-160x160.png" sizes="160x160">
  <link rel="icon" type="image/png" href="/ico/favicon-96x96.png" sizes="96x96">
  <link rel="icon" type="image/png" href="/ico/favicon-16x16.png" sizes="16x16">
  <link rel="icon" type="image/png" href="/ico/favicon-32x32.png" sizes="32x32">
  <meta name="msapplication-TileColor" content="#554488">
  <meta name="msapplication-TileImage" content="/ico/mstile-144x144.png">
  <meta name="msapplication-config" content="/ico/browserconfig.xml">

  <script type="text/javascript">
    var _gaq = _gaq || [];
    _gaq.push(['_setAccount', 'UA-37019925-1']);
    _gaq.push(['_setDomainName', 'gitlab.com']);
    _gaq.push(['_trackPageview']);

    (function() {
      var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
      ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
      var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
    })();
  </script>
</head>

<body data-spy="scroll" data-target".qnav">
  <div class="navbar navbar-fixed-top navbar-default" role="navigation">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#main-gl-nav">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        {% if page.url == '/index.html' %}
        <a class="navbar-brand animated">{% include wm_web.svg %}</a>
        {% else %}
        <a class="navbar-brand animated" href="/">{% include wm_web.svg %}</a>
        {% endif %}
      </div>

      <div class="collapse navbar-collapse" id="main-gl-nav">
        <ul class="nav pull-right animated navbar-nav">
          <li><a href="/downloads/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'Download']);">Download</a></li>
          <li><a href="/features/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'Features']);">Features</a></li>
          <li><a href="/pricing/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'Pricing']);">Pricing</a></li>
          <li><a href="/gitlab-com/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'GitLab.com']);">GitLab.com</a></li>
          <li><a href="/gitlab-ci/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'GitLab CI']);">GitLab CI</a></li>
          <li><a href="/community/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'Community']);">Community</a></li>
          <li><a href="/blog/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'Blog']);">Blog</a></li>
          <li><a href="https://gitlab.com/explore/" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'Explore']);">Explore</a></li>
          <li><a href="https://gitlab.com/users/sign_in" onClick="_gaq.push(['_trackEvent', 'Top navigation', 'Sign in']);" class="sign-in-up-btn">Sign in</a></li>
        </ul>
      </div>
    </div>
  </div>
